Subject: bug#64830: 30.0.50 C++ treesitter mode no coloration

From: Yuan Fu <[email-masked]>
Date: Sat, 24 Aug 2024 13:43:25 -0700

> On Aug 24, 2024, at 12:38 PM, Alan Mackenzie <[email-masked]> wrote:
> 
> Hello, Yuan.
> 
> On Sat, Aug 24, 2024 at 11:35:36 -0700, Yuan Fu wrote:
> 
> 
>>> On Aug 19, 2024, at 8:46 PM, Yuan Fu <[email-masked]> wrote:
> 
> 
> 
>>>> On Aug 16, 2024, at 11:27 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>>>>> Date: Fri, 16 Aug 2024 18:06:31 +0000
>>>>> Cc: [email-masked], [email-masked], [email-masked]
>>>>> From: Alan Mackenzie <[email-masked]>
> 
>>>>>> Maybe your Emacs 30 build is old?
> 
>>>>> No.  I updated it on Wednesday, the most recent commit I have being:
> 
>>>>> commit 9bedb957bebdca99b1bb96f58ea790e20ed48dee (HEAD -> emacs-30,
>>>>> origin/emacs-30)
>>>>> Author: Eli Zaretskii <[email-masked]>
>>>>> Date:   Wed Aug 14 11:35:48 2024 +0300
> 
>>>>>  Improve documentation of time-parsing functions
> 
>>>>> ..  I will update it right now and retry ....
> 
>>>>> ..... DONE.  It makes no difference.  I don't understand either why I see
>>>>> this bug and you don't.
> 
>>>> Maybe try updating the C++ grammar library?
> 
>>>> Yuan, any ideas?
> 
>>> Nothing obviously wrong from a glance. I’m very busy recently but I’ll have some time this week to look into this. Sorry for the delay :-)
> 
>>> Yuan
> 
>> Upon closer inspection, I think this is caused by a recent change in c-ts-mode font-lock rules, in 014aab9847a0d3d898cb8cbc7224143f2d741abb.
> 
>> Alan, could you do this: don’t upgrade your c++ grammar and try this patch, if I was right it should fix your problem. Thanks!
> 
> I updated my emacs-30 branch, checked that that commit was included, and
> rebuilt it.  The problem still exists on my copy of Emacs 30.  :-(

No no I mean apply the attached patch and see if it fixes the problem. The commit hash I mentioned is the source of the bug, not the fix ;-)

Yuan